	dc x.1, x.200		! asem.direktiva: mem[x.200] = 1
	org = x.100		! asem.direktiva: adresa od koje se u
	ldmem x.200, r1		! r1 = mem[200]
	ldimm x.3, r2		! r2 = 3
	ldimm x.0, r3		! r3 = 0
	ldimm x.1, r4		! r4 = 1
loop:	cmp r4, r3		! do {if(r3 > r4) 
	blss else		! {
	add r1, r1, r1		! r1 = r1 + r1
	jmp loop1		! } 
else:	nop		! else{
	jsr podpr		! podpr() }
loop1:	inc r3		! r3++
	cmp r2, r3		! }
	bgrt loop		! while(r3 < r2);
	stmem x.200, r1		! mem[200] = r1;
	halt		! zaustavljenje procesora
podpr:	add r1, r1, r3		! r1 = r1 + r3
	rts		! return
	end		! asem.direktiva: program zavrsen

